## com.vividsolutions.jts.simplify
Class TaggedLineString

    java.lang.Object
      com.vividsolutions.jts.simplify.TaggedLineString

public class TaggedLineString
extends java.lang.Object

Represents a `LineString` which can be modified to a simplified shape. Every line segment in the parent LineString is represented as a `TaggedLineSegment`. This class provides an attribute which specifies the minimum allowable length for the modified result.

Version:
  1.7

Constructor Summary
`TaggedLineString(LineString parentLine)`
`TaggedLineString(LineString parentLine, int minimumSize)`

Method Summary
`void` `addToResult(LineSegment seg)`
`LinearRing` `asLinearRing()`
`LineString` `asLineString()`
`int` `getMinimumSize()`
`LineString` `getParent()`
`Coordinate[]` `getParentCoordinates()`
`Coordinate[]` `getResultCoordinates()`
`int` `getResultSize()`
`TaggedLineSegment` `getSegment(int i)`
`TaggedLineSegment[]` `getSegments()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaggedLineString

    public TaggedLineString(LineString parentLine)

### TaggedLineString

    public TaggedLineString(LineString parentLine,
                            int minimumSize)

Method Detail

### getMinimumSize

    public int getMinimumSize()

### getParent

    public LineString getParent()

### getParentCoordinates

    public Coordinate[] getParentCoordinates()

### getResultCoordinates

    public Coordinate[] getResultCoordinates()

### getResultSize

    public int getResultSize()

### getSegment

    public TaggedLineSegment getSegment(int i)

### getSegments

    public TaggedLineSegment[] getSegments()

### addToResult

    public void addToResult(LineSegment seg)

### asLineString

    public LineString asLineString()

### asLinearRing

    public LinearRing asLinearRing()